Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
branches
/
{branchId}
/
merge
Merge branch
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/branches/{branchId}/merge \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "deploymentMessage": "",
  "conflictResolutions": [
    {
      "path": [
        "<string>"
      ],
      "value": "<unknown>"
    }
  ]
}
'
{
  "sequence": "<string>",
  "message": "<string>",
  "testRunIds": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.poly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
branchId
string
required

Body

application/json
deploymentMessage
string
default:""
conflictResolutions
object[]

Response

Branch merged

sequence
string
required
message
string
required
testRunIds
string[]
required
Last modified on June 1, 2026